Bug 1329424 - Review Request: gimp-save-for-web - Save for web plug-in for GIMP
Summary: Review Request: gimp-save-for-web - Save for web plug-in for GIMP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DESIGN-SW
TreeView+ depends on / blocked
 
Reported: 2016-04-21 22:36 UTC by Luya Tshimbalanga
Modified: 2016-05-31 13:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-16 16:19:29 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)
licensecheck.txt (2.19 KB, text/plain)
2016-05-08 10:36 UTC, Raphael Groner
no flags Details

Description Luya Tshimbalanga 2016-04-21 22:36:51 UTC
Spec URL: https://luya.fedorapeople.org/packages/SPECS/gimp-save-for-web.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/gimp-save-for-web-0.29.3-1.fc24.src.rpm
Description: Save for Web allows to find compromise between minimal file size
and acceptable quality of image quickly. While adjusting various
settings, you may explore how image quality and file size change.
Options to reduce file size of an image include setting compression
quality, number or colors, resizing, cropping, Exif information
removal, etc.
Fedora Account System Username: luya

Comment 1 Luya Tshimbalanga 2016-04-21 22:43:02 UTC
Koji scratch result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13752240

rpmlint result:
$ rpmlint rpmbuild/SRPMS/gimp-save-for-web-0.29.3-1.fc24.src.rpm 
gimp-save-for-web.src: W: spelling-error %description -l en_US resizing -> residing, re sizing, re-sizing
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Raphael Groner 2016-04-25 07:20:36 UTC
Review swap with bug #1305547? Well, it's heavily based on java and not related to graphics, though.

Comment 3 Luya Tshimbalanga 2016-04-25 17:28:51 UTC
(In reply to Raphael Groner from comment #2)
> Review swap with bug #1305547? Well, it's heavily based on java and not
> related to graphics, though.

I will take it.

Comment 4 Raphael Groner 2016-04-28 13:16:50 UTC
Luya, thanks again for your review! I'll continue here as revanche soonish.

Comment 5 Luya Tshimbalanga 2016-04-28 16:59:38 UTC
(In reply to Raphael Groner from comment #4)
> Luya, thanks again for your review! I'll continue here as revanche soonish.

No problem. It is nice to be first =)

Comment 6 Raphael Groner 2016-05-08 10:35:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "MIT/X11 (BSD
     like)", "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated", "*No copyright* MIT/X11 (BSD like)". 13 files have unknown
     license. Detailed output of licensecheck in /home/builder/fedora-
     review/1329424-gimp-save-for-web/licensecheck.txt
=> Add MIT to License tag and a multiple licensing breakdown as a comment.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

=> Report incorrect FSF address to upstream.
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gimp-
     save-for-web-debuginfo
=> No idea what this means. debuginfo is generated automatically.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gimp-save-for-web-0.29.3-1.fc25.x86_64.rpm
          gimp-save-for-web-debuginfo-0.29.3-1.fc25.x86_64.rpm
          gimp-save-for-web-0.29.3-1.fc25.src.rpm
gimp-save-for-web.x86_64: W: spelling-error %description -l en_US resizing -> residing, re sizing, re-sizing
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/webx_prefs.h
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/webx_prefs.c
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/cursors.h
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/cursors.c
gimp-save-for-web.src: W: spelling-error %description -l en_US resizing -> residing, re sizing, re-sizing
3 packages and 0 specfiles checked; 4 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: gimp-save-for-web-debuginfo-0.29.3-1.fc25.x86_64.rpm
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/cursors.h
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/cursors.c
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/webx_prefs.h
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/webx_prefs.c
1 packages and 0 specfiles checked; 4 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
gimp-save-for-web.x86_64: W: spelling-error %description -l en_US resizing -> residing, re sizing, re-sizing
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/webx_prefs.h
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/cursors.c
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/cursors.h
gimp-save-for-web-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gimp-save-for-web-0.29.3/src/webx_prefs.c
2 packages and 0 specfiles checked; 4 errors, 1 warnings.



Requires
--------
gimp-save-for-web (rpmlib, GLIBC filtered):
    gimp
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgimp-2.0.so.0()(64bit)
    libgimpbase-2.0.so.0()(64bit)
    libgimpcolor-2.0.so.0()(64bit)
    libgimpconfig-2.0.so.0()(64bit)
    libgimpmath-2.0.so.0()(64bit)
    libgimpmodule-2.0.so.0()(64bit)
    libgimpui-2.0.so.0()(64bit)
    libgimpwidgets-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    rtld(GNU_HASH)

gimp-save-for-web-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
gimp-save-for-web:
    gimp-save-for-web
    gimp-save-for-web(x86-64)

gimp-save-for-web-debuginfo:
    gimp-save-for-web-debuginfo
    gimp-save-for-web-debuginfo(x86-64)



Source checksums
----------------
http://registry.gimp.org/files/gimp-save-for-web-0.29.3.tar.bz2 :
  CHECKSUM(SHA256) this package     : b8462f59c6f416090bbf965631657674589e759b71b85ba4d196d79a494d1d27
  CHECKSUM(SHA256) upstream package : b8462f59c6f416090bbf965631657674589e759b71b85ba4d196d79a494d1d27


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1329424
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Raphael Groner 2016-05-08 10:36:44 UTC
Created attachment 1155035 [details]
licensecheck.txt

Comment 8 Raphael Groner 2016-05-08 10:38:00 UTC
APPROVED. Please notice my comments about license and BuildRoot.

Comment 9 Gwyn Ciesla 2016-05-09 14:35:06 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gimp-save-for-web

Comment 10 Fedora Update System 2016-05-12 03:55:49 UTC
gimp-save-for-web-0.29.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5dba261371

Comment 11 Fedora Update System 2016-05-12 03:55:57 UTC
gimp-save-for-web-0.29.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d4149b3671

Comment 12 Fedora Update System 2016-05-12 03:56:01 UTC
gimp-save-for-web-0.29.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fdcdd36113

Comment 13 Fedora Update System 2016-05-12 03:56:06 UTC
gimp-save-for-web-0.29.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-21962bfad2

Comment 14 Fedora Update System 2016-05-12 03:56:10 UTC
gimp-save-for-web-0.29.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c6796ac81b

Comment 15 Fedora Update System 2016-05-12 22:27:19 UTC
gimp-save-for-web-0.29.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-21962bfad2

Comment 16 Fedora Update System 2016-05-13 05:26:04 UTC
gimp-save-for-web-0.29.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d4149b3671

Comment 17 Fedora Update System 2016-05-13 05:32:28 UTC
gimp-save-for-web-0.29.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fdcdd36113

Comment 18 Fedora Update System 2016-05-13 06:53:23 UTC
gimp-save-for-web-0.29.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c6796ac81b

Comment 19 Fedora Update System 2016-05-13 06:54:06 UTC
gimp-save-for-web-0.29.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5dba261371

Comment 20 Fedora Update System 2016-05-16 16:19:26 UTC
gimp-save-for-web-0.29.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-05-20 23:47:29 UTC
gimp-save-for-web-0.29.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-05-20 23:51:09 UTC
gimp-save-for-web-0.29.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-05-31 13:49:04 UTC
gimp-save-for-web-0.29.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-05-31 13:49:15 UTC
gimp-save-for-web-0.29.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.